Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226463 - Merge Review: system-config-netboot
Summary: Merge Review: system-config-netboot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:06 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-05 05:37:18 UTC
panemade: fedora-review+


Attachments (Terms of Use)
patch to silent rpmlint output on srpm (deleted)
2008-12-22 08:23 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:06:07 UTC
Fedora Merge Review: system-config-netboot

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-netboot/
Initial Owner: fleite@redhat.com

Comment 1 Fabian Affolter 2008-12-15 11:14:05 UTC
Just some comments on this spec file

- Use %defattr(-,root,root,-) instead of %defattr(-,root,root)
- Use parallel make (make %{?_smp_mflags})
- Is there a reason that %makeinstall is used? 
  https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

Comment 2 Parag AN(पराग) 2008-12-19 07:37:08 UTC
cc'ing current owner of this package jreznik@redhat.com

Comment 3 Jaroslav Reznik 2008-12-19 11:43:59 UTC
Thank you for cc'ing me here, issues are fixed now in devel. I'm only not sure if we really need smp_flags - it's noarch package.

Comment 4 Parag AN(पराग) 2008-12-22 08:23:17 UTC
Created attachment 327623 [details]
patch to silent rpmlint output on srpm

Comment 5 Parag AN(पराग) 2008-12-22 08:29:50 UTC
Still there are rpmlint output not silent on rpms
system-config-netboot.noarch: E: non-executable-script /usr/share/system-config-netboot/pxeosdialog.py 0644
system-config-netboot.noarch: E: non-readable /usr/share/system-config-netboot/netboot_gtk.py 0750
system-config-netboot.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/netboot_gtk.py 0750
system-config-netboot.noarch: E: script-without-shebang /usr/share/system-config-netboot/netboot_gtk.py
system-config-netboot.noarch: E: non-readable /usr/share/system-config-netboot/system-config-netboot.py 0750
system-config-netboot.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/system-config-netboot.py 0750
system-config-netboot.noarch: W: no-dependency-on usermode
system-config-netboot.noarch: W: obsolete-not-provided redhat-config-netboot

AND
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/pxeos.py 0750
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/pxeos.py 0750
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/pxeboot.py 0750
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/pxeboot.py 0750
system-config-netboot-cmd.noarch: E: non-executable-script /usr/share/system-config-netboot/firsttime.py 0644
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/diskless/updateDiskless 0700
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/diskless/updateDiskless 0700
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/diskless/syncfiles 0700
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/diskless/syncfiles 0700
system-config-netboot-cmd.noarch: E: non-executable-script /usr/share/system-config-netboot/diskless/diskless.init 0644
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/diskless/disklessrc 0700
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/diskless/disklessrc 0700
system-config-netboot-cmd.noarch: E: non-readable /usr/share/system-config-netboot/diskless/mkdiskless 0700
system-config-netboot-cmd.noarch: E: non-standard-executable-perm /usr/share/system-config-netboot/diskless/mkdiskless 0700
system-config-netboot-cmd.noarch: E: non-executable-script /usr/share/system-config-netboot/diskless.py 0644
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/boot.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/expert.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/general.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/param.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/rescue.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/msgs/snake.msg
system-config-netboot-cmd.noarch: W: non-etc-or-var-file-marked-as-conffile /tftpboot/linux-install/pxelinux.0


Suggestions:-
1) why some of above mentioned files are non-readable? you can make them readable.
2) For config files guidelines says http://fedoraproject.org/wiki/PackagingGuidelines#Configuration_files
3) Desktop files must be installed as per given
http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage
4) Use following scriptlet for icon files
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache

Comment 6 Jaroslav Reznik 2008-12-22 20:04:54 UTC
Ok, so it looks it needs more love, I'll take a deeper look to fix it. Sorry I didn't checked rpmlint, hoping package is in better condition...

Comment 7 Jaroslav Reznik 2009-01-05 15:41:41 UTC
Well I'm looking to rpmlint output now.

> W: non-etc-or-var-file-marked-as-conffile

I think it's fine - these files are config files which SHOULD NOT be replaced but are not located in /etc or /var.

Comment 8 Parag AN(पराग) 2009-01-09 04:39:16 UTC
(In reply to comment #7)
> Well I'm looking to rpmlint output now.
> 
> > W: non-etc-or-var-file-marked-as-conffile
> 
> I think it's fine - these files are config files which SHOULD NOT be replaced
> but are not located in /etc or /var.

thats ok then. Do you got new package to complete review with fixes other issues?

Comment 9 Jaroslav Reznik 2009-01-09 16:34:56 UTC
(In reply to comment #8)
> 
> thats ok then. Do you got new package to complete review with fixes other
> issues?

I have to prepare new minor upstream release to fix rpmlint warnings, so I hope packages will be ready Monday.

Comment 10 Parag AN(पराग) 2009-01-20 04:34:24 UTC
ping?

Comment 11 Jaroslav Reznik 2009-01-28 15:41:20 UTC
Sorry, it takes so long but now it's already built for rawhide - http://koji.fedoraproject.org/koji/taskinfo?taskID=1088883

Comment 12 Parag AN(पराग) 2009-01-29 09:27:28 UTC
from build.log you can see
warning: File listed twice: /tftpboot/linux-install/msgs
warning: File listed twice: /tftpboot/linux-install/msgs/boot.msg
warning: File listed twice: /tftpboot/linux-install/msgs/expert.msg
warning: File listed twice: /tftpboot/linux-install/msgs/general.msg
warning: File listed twice: /tftpboot/linux-install/msgs/param.msg
warning: File listed twice: /tftpboot/linux-install/msgs/rescue.msg
warning: File listed twice: /tftpboot/linux-install/msgs/snake.msg
warning: File listed twice: /tftpboot/linux-install/pxelinux.0
warning: File listed twice: /tftpboot/linux-install/pxelinux.cfg

Please see http://fedoraproject.org/wiki/PackagingGuidelines#Duplicate_Files

===> You want to have in %files of -cmd as only
%config(noreplace) /tftpboot/linux-install/

This will make all files under this /tftpboot/linux-install/ directory as configuration files.

Comment 13 Parag AN(पराग) 2009-01-29 09:35:41 UTC
2) also, gtk-update-icon-cache scriptlet should be 
%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

3) Buildroot should be one of values from http://fedoraproject.org/wiki/PackagingGuidelines#BuildRoot_tag

Comment 14 Fabian Affolter 2009-01-29 13:49:54 UTC
Added Parag as 'Assignee' because the review is in progress.

Comment 15 Jaroslav Reznik 2009-02-03 14:24:24 UTC
Updated package in Rawhide.

Comment 16 Parag AN(पराग) 2009-02-04 06:45:58 UTC
Thanks for your work.
APPROVED.

Comment 17 Jaroslav Reznik 2009-02-04 08:34:26 UTC
(In reply to comment #16)
> Thanks for your work.
> APPROVED.

Ok, 
thank you for your great review!

Comment 18 Parag AN(पराग) 2009-02-05 05:37:18 UTC
package is in rawhide. Closing this review now.


Note You need to log in before you can comment on or make changes to this bug.